aboutsummaryrefslogtreecommitdiffstats
path: root/contrib/init.d/rc.redhat.asterisk
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/init.d/rc.redhat.asterisk')
-rw-r--r--contrib/init.d/rc.redhat.asterisk22
1 files changed, 17 insertions, 5 deletions
diff --git a/contrib/init.d/rc.redhat.asterisk b/contrib/init.d/rc.redhat.asterisk
index ea9f22eff..1ef812463 100644
--- a/contrib/init.d/rc.redhat.asterisk
+++ b/contrib/init.d/rc.redhat.asterisk
@@ -1,5 +1,5 @@
#!/bin/sh
-# $Id: asterisk,v 1.2 2004/07/18 20:24:07 Gregory Boehnlein <damin@nacs.net>
+# $Id: asterisk,v 1.3 2005/11/17 22:30:01 Gregory Boehnlein <damin@nacs.net>
#
# asterisk Starts, Stops and Reloads Asterisk.
#
@@ -8,6 +8,11 @@
# processname: asterisk
# pidfile: /var/run/asterisk.pid
#
+# Thu Nov 17 2005 Gregory Boehnlein <damin@nacs.net>
+# - Updated Version to 1.3
+# - Reversed behavior of LD_ASSUME_KERNEL=2.4.1
+# - Added detailed failure messages
+#
# Sun Jul 18 2004 Gregory Boehnlein <damin@nacs.net>
# - Updated Version to 1.2
# - Added test for safe_asterisk
@@ -18,11 +23,18 @@
# Source function library.
. /etc/rc.d/init.d/functions
-[ -x /usr/sbin/asterisk ] || exit 0
-[ -d /etc/asterisk ] || exit 0
+if ! [ -x /usr/sbin/asterisk ] ; then
+ echo "ERROR: /usr/sbin/asterisk not found"
+ exit 0
+fi
+
+if ! [ -d /etc/asterisk ] ; then
+ echo "ERROR: /etc/asterisk directory not found"
+ exit 0
+fi
-# Leave this set unless you know what you are doing.
-export LD_ASSUME_KERNEL=2.4.1
+# Uncomment this ONLY if you know what you are doing.
+# export LD_ASSUME_KERNEL=2.4.1
# Full path to asterisk binary
DAEMON=/usr/sbin/asterisk